%define aname uml-utilities 
%define a_name uml_utilities 

%define	Summary	Tools to run and configure usermodes linux

Name:		tunctl
Version:	20060323
Release:	alt2
Summary:	Tool to create and manage persistent TUN/TAP interfaces
Source0:	%{a_name}_%{version}.tar.bz2
Source1:	tun.rules
Source2:	http://kent.dl.sourceforge.net/sourceforge/user-mode-linux/%{aname}_%version-3.diff.gz
License:	GPL
Group:		Networking/Other
Url:		http://user-mode-linux.sourceforge.net/
Packager: Fr. Br. George <george@altlinux.ru>
Conflicts: %aname

Requires(pre): shadow-utils

# Automatically added by buildreq on Tue Jan 09 2007
BuildRequires: docbook-utils

%description
tunctl allows the host sysadmin to preconfigure a TUN/TAP device for
use by a particular user. That user may open and use the device, but
may not change any aspects of the host side of the interface.

%prep
%setup -n tools-%version -q
cd %name
zcat %SOURCE2 | patch
docbook2man %name.sgml

%build
cd %name
%make

%install
mkdir -p %buildroot%_sysconfdir/udev/rules.d %buildroot%_sbindir %buildroot%_man8dir
install -D %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/90-tun.rules
install -s %name/%name %buildroot%_sbindir
install -s %name/TUNCTL.8  %buildroot%_man8dir/%name.8

%pre
%_sbindir/groupadd -r -f tun

%files
%_sbindir/*
%_man8dir/*
%_sysconfdir/udev/rules.d/90-tun.rules

%changelog
* Sun Apr 29 2007 Denis Smirnov <mithraen@altlinux.ru> 20060323-alt2
- Not remove group when uninstall
- Force groupadd when install (not crash at upgrade)

* Wed Apr 18 2007 Denis Smirnov <mithraen@altlinux.ru> 20060323-alt1
- Add requires(pre) to shadow-utils (need for %%pre section)

* Tue Jan 09 2007 Fr. Br. George <george@altlinux.ru> 20060323-alt0
- Initial build from MDV+Debian

* Sat Jan 06 2007 Olivier Blin <oblin@mandriva.com> 20060323-3mdv2007.0
+ Revision: 104685
- make /dev/net/tun owned by the tun group (#21113)
- make the tunctl package add a tun system group (part of #21113)
- move tunctl in a subpackage since it is often used without UML (description from Debian manpage)

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org> 20060323-2mdv2007.0
+ Revision: 54861
- patch0: fix build
- Import uml-utilities


* Tue Apr 4 2006 Tibor Pittich <Tibor.Pittich@mandriva.org>  20060323-1mdk
- 20060323
- remove suid bit on uml_net

* Thu Mar 16 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 20060216-1mdk
- new version

* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 20040406-3mdk
- %%mkrel
- Fix summary

* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 20040406-2mdk
-  Rebuild for Readline

* Tue Apr 13 2004 Stew Benedict <sbenedict@mandrakesoft.com> 20040406-1mdk
- 20040406

* Thu Jan  8 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030903-3mdk
- DIRM fix

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 20030903-2mdk 
- BuildRequires ( libncurses-devel )

* Tue Oct 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030903-1mdk
- 20030903

* Tue Aug 13 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020729-0.1mdk
- 1st pre release

